package ru.yandex.direct.web.entity.adgeneration.model.response;

import java.util.Collection;
import java.util.Map;

import javax.annotation.Nullable;

import ru.yandex.direct.core.entity.adgeneration.model.SitelinkSuggest;

public class WebGenerateSitelinkResult extends WebGenerationResult {

    @Nullable
    private Collection<SitelinkSuggest> suggests;

    public WebGenerateSitelinkResult() {}

    public WebGenerateSitelinkResult(Collection<SitelinkSuggest> suggests, Map<String, Object> additionalInfo) {
        super(additionalInfo);
        this.suggests = suggests;
    }

    @Nullable
    public Collection<SitelinkSuggest> getSuggests() {
        return suggests;
    }
}
